package de.hacksaar.javatuer;

public class StderrLogging extends TuerLogging {

	@Override
	public void debug(String tag, String msg) {
		System.err.println("D/" + tag + ": " + msg);
	}

	@Override
	public void exception(String tag, Throwable t) {
		System.err.println("E/" + tag + ": " + t.getMessage());
		t.printStackTrace(System.err);
	}

	@Override
	public void info(String tag, String msg) {
		System.err.println("I/" + tag + ": " + msg);
	}
}
